Yesterday I bought a new iPhone, I started activating it with iNdependance, and (doing the downgrading process and everything) then (here is the tricky part) I tried unlocking it with iUnlock, but it seems the webpage i downloaded it was an old version, I realized that afterwards. Anyway, iUnlock did not work. So I later used AnySIM v1.1, this time it did work. My question is, Now I want to upgrade to 1.1.1, will my iPhone get bricked? because i used an old unlock software (although it didn't work)? Thanks!! Do I need to virginize? or use iNdependence upgrade method?